Loading...
Searching...
No Matches
mongocxx::v1::pool::options Class Reference

`#include <mongocxx/v1/pool.hpp>`

## Description

Options for mongocxx::v1::pool.

## Public Member Functions

| options ()
| Default initialization.
| options (options &&other) noexcept
| Move constructor.
| options (options const &other)
| Copy construction.
| options (v1::client::options opts)
| Initialize with client options to apply to a pool.
| ~options ()
| Destroy this object.
v1::client::options | client_opts () const
| Return the current client options.
options & | operator= (options &&other) noexcept
| Move assignment.
options & | operator= (options const &other)
| Copy assignment.

## Constructor & Destructor Documentation

## ~options()

mongocxx::v1::pool::options::~options | ( |  | ) |

Destroy this object.

## options() [1/4]

mongocxx::v1::pool::options::options | ( | options && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## options() [2/4]

mongocxx::v1::pool::options::options | ( | options const & | other | ) |

Copy construction.

## options() [3/4]

mongocxx::v1::pool::options::options | ( | v1::client::options | opts | ) |

Initialize with client options to apply to a pool.

## options() [4/4]

mongocxx::v1::pool::options::options | ( |  | ) |

Default initialization.

Postconditions:
  - this->client_opts() is default-initialized.

## Member Function Documentation

## client_opts()

v1::client::options mongocxx::v1::pool::options::client_opts | ( |  | ) | const

Return the current client options.

## operator=() [1/2]

options & mongocxx::v1::pool::options::operator= | ( | options && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

options & mongocxx::v1::pool::options::operator= | ( | options const & | other | ) |

Copy assignment.

The documentation for this class was generated from the following file:

- mongocxx/v1/pool.hpp